﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections;

namespace csharp2vala
{
    class Glade
    {

        private FileFunctions FF = new FileFunctions();

        public void FormToGlade(String projectFolder, String outPath){
            FF.log("entering Glade...");

            
            FF.log(projectFolder);

            String inFile = projectFolder + "/Form1.Designer.cs";
            String outFile = outPath + "/project.glade";
            

            String[] myList = FF.ReadAllLines(inFile);

            ArrayList o = new ArrayList();

            o.Add("<?xml version=\"1.0\" encoding=\"UTF-8\" standalone=\"no\"?>");
            o.Add("<!DOCTYPE glade-interface SYSTEM \"glade-2.0.dtd\">");
            o.Add("<!--Generated with glade3 3.0.3 on Sat Mar 21 04:00:14 2009 by csharp2vala-->");
            o.Add("<glade-interface>");
            o.Add("  <widget class=\"GtkWindow\" id=\"window1\">");
            o.Add("    <property name=\"visible\">True</property>");
            o.Add("    <signal name=\"destroy\" handler=\"on_window1_destroy\"/>");
            o.Add("    <child>");
            o.Add("      <widget class=\"GtkHBox\" id=\"hbox1\">");
            o.Add("        <property name=\"visible\">True</property>");
            o.Add("        <property name=\"border_width\">10</property>");
            o.Add("        <property name=\"spacing\">5</property>");
            o.Add("        <child>");

            o.Add("          <placeholder/>");
            o.Add("        </child>");
            o.Add("        <child>");

            o.Add("          <widget class=\"GtkVBox\" id=\"vbox1\">");
            o.Add("            <property name=\"visible\">True</property>");
            //-- add the children here

            o.Add("          </widget>");
            o.Add("          <packing>");
            o.Add("            <property name=\"position\">1</property>");
            o.Add("          </packing>");


            o.Add("      </child>");
            o.Add("      </widget>");
            o.Add("    </child>");
            o.Add("  </widget>");
            o.Add("</glade-interface>");


            String[] outList = (string[])o.ToArray(typeof(string));
            FF.WriteAllLines(outFile, outList);

        }
    }
}
